<a class="icon-button" :class="buttonClass" :aria-label="buttonAriaLabel" role="button" tabindex="0" @click="$emit('click')" @keyup.enter="$emit('click')">
    <icon class="icon-button__icon" :icon-name="iconName"></icon>
    <span class="icon-button__label" v-if="hasDefaultSlot">
        <slot></slot>
    </span>
</a>
